/*	RCT3 libOVL
	Copyright 2005 Jonathan Wilson

	This file is part of the RCT3 libOVL
	The RCT3 libOVL library is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
*/

#ifndef __libOVL_OVL_FlexiTexture_h__
#define __libOVL_OVL_FlexiTexture_h__
 
struct FlexiTextureStruct
{
	unsigned long scale;
	unsigned long width;
	unsigned long height;
	unsigned long Recolorable; //1 = first color recolorable, 2 = second color recolorable, 4 = third color recolorable, combination of them = multiple colors recolorable
	unsigned char *palette;
	unsigned char *texture;
	unsigned char *alpha;
};
struct FlexiTextureInfoStruct
{
	unsigned long scale;
	unsigned long width;
	unsigned long height;
	unsigned long unk1;
	unsigned long Recolorable; //1 = first color recolorable, 2 = second color recolorable, 4 = third color recolorable, combination of them = multiple colors recolorable
	unsigned long unk3;
	unsigned long *offset1;
	unsigned long unk4;
	FlexiTextureStruct *fts2;
};

#endif
